com.mapinfo.midev.language.filter

## Class LogicalOperator

- java.lang.Object
- - java.lang.Enum
  - - com.mapinfo.midev.language.filter.LogicalOperator

All Implemented Interfaces:
  Serializable, Comparable

    public final class LogicalOperator
    extends Enum

Enumeration of the test operations that can be performed by the `LogicalOperator`.

See Also:
  Serialized Form

### Field Summary

Fields
`static LogicalOperator` `AND` Combines two or more boolean filters and returns `TRUE` when all evaluate `TRUE`.
`static LogicalOperator` `NOT` Negates a boolean filter.
`static LogicalOperator` `OR` Combines two or more boolean filters and returns `TRUE` when at least one evaluates to `TRUE`.

### Method Summary

All Methods Static Methods Concrete Methods
`static LogicalOperator` `valueOf(String name)`
`static LogicalOperator[]` `values()`

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### AND

    public static final LogicalOperator AND

Combines two or more boolean filters and returns `TRUE` when all evaluate `TRUE`.

#### OR

    public static final LogicalOperator OR

Combines two or more boolean filters and returns `TRUE` when at least one evaluates to `TRUE`.

#### NOT

    public static final LogicalOperator NOT

Negates a boolean filter.

### Method Detail

#### values

    public static LogicalOperator[] values()

#### valueOf

    public static LogicalOperator valueOf(String name)